Bug 69538 - failed to rebuild mkinitrd-3.4.16-1.src.rpm
Summary: failed to rebuild mkinitrd-3.4.16-1.src.rpm
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-07-23 00:30 UTC by Fortepianissimo
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-26 02:13:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fortepianissimo 2002-07-23 00:30:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020626

Description of problem:
rebuilding mkinitrd-3.4.16-1.src.rpm failed with error messages

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild mkinitrd-3.4.16-1.src.rpm
2.stopped with error messages
3.
	

Actual Results:  Error messages:

+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note
Processing files: mkinitrd-3.4.16-1
error: File not found: /var/tmp/mkinitrd-root/sbin/nash
error: File not found by glob: /var/tmp/mkinitrd-root/usr/share/man/man8/nash.8*
PreReq: dev
Requires: e2fsprogs /bin/sh fileutils grep mount gzip tar /sbin/insmod.static
/sbin/losetup mktemp >= 1.5-5 findutils lvm filesystem >= 2.1.0


RPM build errors:
    InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 897da07a
    File not found: /var/tmp/mkinitrd-root/sbin/nash
    File not found by glob: /var/tmp/mkinitrd-root/usr/share/man/man8/nash.8*


Additional info:

/etc/rpmrc:

---
buildarchtranslate:i686: i686

optflags: i686 -O6 -march=i686
---

related packages:

rpm-4.1-0.51
gcc-3.1-9

Comment 1 Erik Troan 2002-07-24 14:27:18 UTC
Please attach a full log of the build -- I need to see why nash is failing to
build.

The most likely cause is that the "dietlibc" package is not installed.

Comment 2 Fortepianissimo 2002-07-26 02:13:49 UTC
Yes you're right - I installed dietlibc and the error is gone now.

Maybe make dietlibc as one of the BuildRequires?

Comment 3 Erik Troan 2002-07-26 02:52:24 UTC
It's only required on x86 platforms and there isn't any good way to encode that
in RPM.


Note You need to log in before you can comment on or make changes to this bug.